Page MenuHomePhabricator

Deprecate access to Article::$mRevision
Closed, ResolvedPublic

Description

Public variable, Revision object

It can be replaced with calls to Article::fetchRevisionRecord (public)

The only deployed use outside of core is in TimedMediaHandler's TimedTextPage

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 24 2020, 1:15 AM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 592322 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/TimedMediaHandler@master] Remove use of Article::$mRevision

https://gerrit.wikimedia.org/r/592322

DannyS712 renamed this task from Deprecate public access to Article::$mRevision to Deprecate access to Article::$mRevision.Apr 24 2020, 1:45 AM
DannyS712 updated the task description. (Show Details)May 1 2020, 9:04 PM

Change 593826 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace Article::$mRevision with RevisionRecord

https://gerrit.wikimedia.org/r/593826

Change 592322 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Remove use of Article::$mRevision

https://gerrit.wikimedia.org/r/592322

Change 593826 merged by jenkins-bot:
[mediawiki/core@master] Replace Article::$mRevision with RevisionRecord

https://gerrit.wikimedia.org/r/593826

DannyS712 closed this task as Resolved.May 4 2020, 11:33 PM
DannyS712 removed a project: Patch-For-Review.